<?xml version="1.0" encoding="gb2312" ?> 
<xs:schema targetNamespace="http://www.h3c.com/netconf/config:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/config:1.0"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0" 
                  xmlns:netconf ="urn:ietf:params:xml:ns:netconf:base:1.0" 
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>
  <xs:import schemaLocation="netconf.xsd" namespace="urn:ietf:params:xml:ns:netconf:base:1.0"></xs:import>

  <xs:element name="Ifmgr">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="Interfaces" minOccurs="0">
          <xs:annotation>
            <xs:documentation>This table contains basic interface information.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Interface" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex"  minOccurs="0"  type="base:NameAndIndexUnion" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interface index as table index.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Description" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>Interface description.String length constraints must be in range(0..255).</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:Text">
                            <xs:maxLength value="255"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="AdminStatus" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>
                          Interface administration status,as follows:
                          1 Admin Up
                          2 Admin Down
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:Integer32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="2"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ConfigSpeed" minOccurs="0" nillable="true" >
                      <xs:complexType>
                        <xs:annotation>
                          <xs:documentation>
                            Configured speed of an interface.Each bit represents a speed as follows:
                            1:Auto
                            2:10Mbps
                            4:100Mbps
                            8:155Mbps
                            16:622Mbps
                            32:1Gbps
                            64:2Gbps
                            128:2.5Gbps
                            256:4Gbps
                            512:8Gbps
                            1024:10Gbps
                            2048:16Gbps
                            4096:20Gbps
                            8192:40Gbps
                            16384:100Gbps)
                          </xs:documentation>
                        </xs:annotation>
                       <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="32767"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ConfigDuplex" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>This table contains storm constrain traffic collection interval information..</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:annotation>
                          <xs:documentation>
                            This table contains storm constrain traffic collection interval information as follows:
                            1(FULL)
                            2(HALF)
                            3(AUTO))
                          </xs:documentation>
                        </xs:annotation>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                            <xs:enumeration value="3"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="LinkType" minOccurs="0" nillable="true" >
                      <xs:complexType >
                        <xs:annotation>
                          <xs:documentation>
                            VLAN type of an interface as follows:
                            1 ACCESS
                            2 TRUNK
                            3 HYBRID
                          </xs:documentation>
                        </xs:annotation>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                            <xs:enumeration value="3"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PVID" minOccurs="0" nillable="true"  >
                      <xs:annotation>
                        <xs:documentation>Port VLAN identification (PVID) of an interface.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="4094"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="MAC" minOccurs="0" type="base:MacAddress" nillable="true">
                    </xs:element>
                    <xs:element name="PortLayer" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>
                          Port layer of an interface as follows:
                          1 Layer 2
                          2 Layer 3
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType >
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>           
                    <xs:element name="Loopback" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>
                          Loopback test as follows:
                          0 No loopback
                          1 Internal
                          2 External
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"></xs:enumeration>
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="MDI" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>
                          MDI mode of an interface as follows:
                          1 MDI-II (straight-through cable)
                          2 MDI-X (crossover cable)
                          3 MDI-AUTO (auto-sensing)
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                            <xs:enumeration value="3"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ConfigMTU" minOccurs="0" type="base:UnsignedInteger32" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>Configured MTU of an interface.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="ConfigBandwidth" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>Configured bandwidth of an interface(units: kbit/s).</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="400000000"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element> 
                    <xs:element name="Interval" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>Sampling interval of an interface</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="5"></xs:minInclusive>
                            <xs:maxInclusive value="300"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ForceUP" minOccurs="0" type="base:Boolean" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Forcibly bring up an interface.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup> 
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>					
        <xs:element name="TrafficStatistics" minOccurs="0">
          <xs:annotation>
            <xs:documentation>TrafficStatistics sub module</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Interval" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Interval table</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Interval" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Sampling interval of all interface, in seconds, in step of 5.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="5"></xs:minInclusive>
                            <xs:maxInclusive value="300"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="EthInterfaces" minOccurs="0">
          <xs:annotation>
            <xs:documentation>EthInterfaces Table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Interface" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>The name of Row</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interface index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Combo" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>Combo mode of an interface(1(fiber mode); 2(copper mode))</xs:documentation>                 
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="FlowControl" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>
                          Flow control information of an interface
                          1(Enable flow control)
                          2(Disable)
                          3(Only enable flow control packet receiving)
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                            <xs:enumeration value="3"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="AutoPowerDown" minOccurs="0" type="base:Boolean" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Port auto power down</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Jumboframe" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Jumbo frame information of an interface</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="BroadcastSuppression" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Broadcast suppression information of an interface</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="ConfigValue" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>
                                Configured broadcast suppression value of an interface
                                Value range:
                                ratio: 0 to 100
                                pps: 0 to 1.4881 กม the maximum interface rate.
                                kbps: 0 to the maximum interface rate
                              </xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="Unit" minOccurs="0" nillable="true" >
                            <xs:annotation>
                              <xs:documentation>Broadcast suppression unit:1(ratio),2(pps),3(kbps)</xs:documentation>                 
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:enumeration value="1"></xs:enumeration>
                                  <xs:enumeration value="2"></xs:enumeration>
                                  <xs:enumeration value="3"></xs:enumeration>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="MulticastSuppression" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Multicast suppression information of an interface</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="ConfigValue" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>
                                Configured multicast suppression value of an interface
                                Value range:
                                ratio: 0 to 100
                                pps: 0 to 1.4881 กม the maximum interface rate.
                                kbps: 0 to the maximum interface rate
                              </xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="Unit" minOccurs="0" nillable="true" >
                            <xs:annotation>
                              <xs:documentation>Multicast suppression unit:1(ratio),2(pps),3(kbps)</xs:documentation>                 
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:enumeration value="1"></xs:enumeration>
                                  <xs:enumeration value="2"></xs:enumeration>
                                  <xs:enumeration value="3"></xs:enumeration>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="Flag" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Multicast suppression flag:1(all),2(unknown)</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:enumeration value="1"></xs:enumeration>
                                  <xs:enumeration value="2"></xs:enumeration>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="UnknownUnicastSuppression" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>UnknownUnicast suppression information of an interface</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="ConfigValue" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>
                                Config unknownUnicast suppression value of an interface
                                Value range:
                                ratio: 0 to 100
                                pps: 0 to 1.4881 กม the maximum interface rate.
                                kbps: 0 to the maximum interface rate
                              </xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="Unit" minOccurs="0" nillable="true" >
                            <xs:annotation>
                              <xs:documentation>UnknownUnicast suppression unit:1(ratio),2(pps),3(kbps)</xs:documentation>                 
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:enumeration value="1"></xs:enumeration>
                                  <xs:enumeration value="2"></xs:enumeration>
                                  <xs:enumeration value="3"></xs:enumeration>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="BPDUDrop" minOccurs="0" type="base:Boolean" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Whether any type of IEEE BPDUs is drop on the port.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="EEE" minOccurs="0" type="base:Boolean" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Whether energy efficient ethernet is enable on the port.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="ConnectMode" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>
                          Port connection mode of an interface.
                          Enumeration:
                          1(Normal connection mode)
                          2(Extend connection mode)
                        </xs:documentation>   
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                             <xs:enumeration value="1"></xs:enumeration>
                             <xs:enumeration value="2"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>	   
        <xs:element name="StormConstrain" minOccurs="0">
          <xs:annotation>
            <xs:documentation>StormConstrain sub module</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Interfaces" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>This table contains interface storm constrain information.</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:choice maxOccurs="unbounded">
                    <xs:element name="Interface" minOccurs="0" maxOccurs="unbounded">
                      <xs:annotation>
                        <xs:documentation>The Name of Row</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Interface index</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="CtlMode" minOccurs="0" nillable="true" >
                            <xs:annotation>
                              <xs:documentation>
                                Storm constrain protective action
                                Enumeration:
                                0(N/A)
                                1(Block)
                                2(Shutdown)
                              </xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:enumeration value="0"></xs:enumeration>
                                  <xs:enumeration value="1"></xs:enumeration>
                                  <xs:enumeration value="2"></xs:enumeration>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="Trap" minOccurs="0" type="base:Boolean" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Event trap switch</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="Log" minOccurs="0" type="base:Boolean" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Event log switch</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="Broadcast" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Broadcast storm constrain information of an interface</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:all>
                                <xs:element name="Upper" nillable="true" minOccurs="0">
                                  <xs:annotation>
                                    <xs:documentation>Broadcast upper threshold value</xs:documentation>
                                  </xs:annotation>
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:restriction base="base:UnsignedInteger32">
                                        <xs:minInclusive value="1"/>
                                      </xs:restriction>
                                    </xs:simpleContent>
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="Lower" nillable="true" minOccurs="0">
                                  <xs:annotation>
                                    <xs:documentation>Broadcast lower threshold value</xs:documentation>
                                  </xs:annotation>
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:restriction base="base:UnsignedInteger32">
                                        <xs:minInclusive value="1"/>
                                      </xs:restriction>
                                    </xs:simpleContent>
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="Unit" minOccurs="0" nillable="true" >
                                  <xs:annotation>
                                    <xs:documentation>Broadcast threshold unit:1(pps),2(ratio),3(kbps)</xs:documentation>                 
                                  </xs:annotation>
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:restriction base="base:UnsignedInteger32">
                                        <xs:enumeration value="1"></xs:enumeration>
                                        <xs:enumeration value="2"></xs:enumeration>
                                        <xs:enumeration value="3"></xs:enumeration>
                                      </xs:restriction>
                                    </xs:simpleContent>
                                  </xs:complexType>
                                </xs:element>
                              </xs:all>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="Multicast" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Multicast storm constrain information of an interface</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:all>
                                <xs:element name="Upper" nillable="true" minOccurs="0">
                                  <xs:annotation>
                                    <xs:documentation>Multicast upper threshold value</xs:documentation>
                                  </xs:annotation>
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:restriction base="base:UnsignedInteger32">
                                        <xs:minInclusive value="1"/>
                                      </xs:restriction>
                                    </xs:simpleContent>
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="Lower" nillable="true" minOccurs="0">
                                  <xs:annotation>
                                    <xs:documentation>Multicast lower threshold value</xs:documentation>
                                  </xs:annotation>
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:restriction base="base:UnsignedInteger32">
                                        <xs:minInclusive value="1"/>
                                      </xs:restriction>
                                    </xs:simpleContent>
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="Unit" minOccurs="0" nillable="true" >
                                  <xs:annotation>
                                    <xs:documentation>Multicast threshold unit:1(pps),2(ratio),3(kbps)</xs:documentation>                 
                                  </xs:annotation>
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:restriction base="base:UnsignedInteger32">
                                        <xs:enumeration value="1"></xs:enumeration>
                                        <xs:enumeration value="2"></xs:enumeration>
                                        <xs:enumeration value="3"></xs:enumeration>
                                      </xs:restriction>
                                    </xs:simpleContent>
                                  </xs:complexType>
                                </xs:element>
                              </xs:all>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="UnknownUnitcast" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Unknown-unitcast storm constrain information of an interface</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:all>
                                <xs:element name="Upper" nillable="true" minOccurs="0">
                                  <xs:annotation>
                                    <xs:documentation>Unknown-unitcast upper threshold value</xs:documentation>
                                  </xs:annotation>
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:restriction base="base:UnsignedInteger32">
                                        <xs:minInclusive value="1"/>
                                      </xs:restriction>
                                    </xs:simpleContent>
                                  </xs:complexType> 
                                </xs:element>
                                <xs:element name="Lower" nillable="true" minOccurs="0">
                                  <xs:annotation>
                                    <xs:documentation>Unknown-unitcast lower threshold value</xs:documentation>
                                  </xs:annotation>
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:restriction base="base:UnsignedInteger32">
                                        <xs:minInclusive value="1"/>
                                      </xs:restriction>
                                    </xs:simpleContent>
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="Unit" minOccurs="0" nillable="true" >
                                  <xs:annotation>
                                    <xs:documentation>Unknown-unitcast threshold unit:1(pps),2(ratio),3(kbps)</xs:documentation>                 
                                  </xs:annotation>
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:restriction base="base:UnsignedInteger32">
                                        <xs:enumeration value="1"></xs:enumeration>
                                        <xs:enumeration value="2"></xs:enumeration>
                                        <xs:enumeration value="3"></xs:enumeration>
                                      </xs:restriction>
                                    </xs:simpleContent>
                                  </xs:complexType>
                                </xs:element>
                              </xs:all>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                        <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                      </xs:complexType>
                    </xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
              <xs:element name="Interval" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Interval Table</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Interval" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Traffic statistics collection interval for storm constrain, in seconds.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="300"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="PortIsolation" minOccurs="0">
          <xs:annotation>
            <xs:documentation>Port isolate sub module</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Groups" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Port isolate groups table</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:choice>
                    <xs:element name="Group" minOccurs="0" maxOccurs="unbounded">
                      <xs:annotation>
                        <xs:documentation>The name of Row</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="IsolatedGroupID" nillable="true" type="base:UnsignedInteger32" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Isolation group ID</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                        <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                      </xs:complexType>
                    </xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
              <xs:element name="Interfaces" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Interfaces table</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:choice>
                    <xs:element name="Interface" minOccurs="0" maxOccurs="unbounded">
                      <xs:annotation>
                        <xs:documentation>The name of Row</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="IfIndex" type="base:NameAndIndexUnion" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Interface index.</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="IsolatedGroupID" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Port isolation group ID of an interface.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="1"></xs:minInclusive>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                        <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                      </xs:complexType>
                    </xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="ReserveVlanInterface" minOccurs="0">
          <xs:annotation>
            <xs:documentation>This table contains the reservation of VLAN interface resources.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="VlanInterface" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Type" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          The reservation type:
                          1 Global
                          2 Local
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="VlanList" minOccurs="0" nillable="true"  type="base:VlanRange" >
                      <xs:annotation>
                        <xs:documentation>List of vlan IDs which relative vlan interface is reserved.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="NewSubInterfaces"  minOccurs="0">
          <xs:annotation>
              <xs:documentation>This table is used to create or delete sub-interfaces.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Interface" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" type="base:NameAndIndexUnion" minOccurs="0" nillable="true">
                       <xs:annotation>
                         <xs:documentation>Interface index as table index.</xs:documentation>
                       </xs:annotation>
                    </xs:element>
                    <xs:element name="SubNum" type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Sub-interface number.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="NewSubInterfaces"  minOccurs="0">
          <xs:annotation>
              <xs:documentation>This table is used to create or delete sub-interfaces.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Interface" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" type="base:NameAndIndexUnion">
                       <xs:annotation>
                         <xs:documentation>Interface index as table index.</xs:documentation>
                       </xs:annotation>
                    </xs:element>
                    <xs:element name="SubNum" type="base:UnsignedInteger32">
                      <xs:annotation>
                        <xs:documentation>Sub-interface number.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
        </xs:element>
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>
